Subject: Re: bug#47159: 28.0.50; gnutls not recognized in build process without pkg-config

From: Jean Louis <[email-masked]>
Date: Sun, 21 Mar 2021 16:39:17 +0300

* Lars Ingebrigtsen <[email-masked]> [2021-03-20 10:53]:
> Jean Louis <[email-masked]> writes:
> 
> > I have now done git pull and removed pkg-config from system
> > temporarily, this below is the message I got, even though I do have
> > gnutls in the system.
> >
> > ...
> > checking for pkg-config... no
> > ...
> > checking for GifMakeMapObject in -lgif... yes
> > configure: error: The following required libraries were not found:
> >      gnutls
> > Maybe some development libraries/packages are missing?
> > To build anyway, give:
> >      --with-gnutls=ifavailable
> > as options to configure.
> 
> Perhaps you didn't regenerate the configure script?  Say "make".

git pull is fresh, and I get this, so I think this is useful now to
get a note to install pkg-config.

configure: WARNING: Unable to locate a usable pkg-config
configure: error: The following required libraries were not found:
     gnutls
Maybe some development libraries/packages are missing?
To build anyway, give:
     --with-gnutls=ifavailable
as options to configure.
make: *** [Makefile:439: config.status] Error 1
~/Programming/Software/emacs